Imports System.Diagnostics
Imports System.IO
Imports Bytescout.Spreadsheet

Class Program
	Friend Shared Sub Main(args As String())
		' Open spreadsheet from file
		Dim document As New Spreadsheet()
		document.LoadFromFile("example.xls")

		' Get first worksheet
		Dim worksheet As Worksheet = document.Workbook.Worksheets(0)

		'Hide first three columns
		worksheet.Columns(0).Hidden = True
		worksheet.Columns(1).Hidden = True
		worksheet.Columns(2).Hidden = True

		'Hide first three rows
		worksheet.Rows(0).Hidden = True
		worksheet.Rows(1).Hidden = True
		worksheet.Rows(2).Hidden = True


		' Delete output file if exists
		If File.Exists("changed.xls") Then
			File.Delete("changed.xls")
		End If

		' Save document
		document.SaveAs("changed.xls")

		' Close spreadsheet
		document.Close()

		' Open generated XLS document in default program
		Process.Start("changed.xls")
	End Sub
End Class
